Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.jdbc20.informix4
Class Statement

    java.lang.Object
      |
      +--weblogic.jdbcbase.informix4.BaseHandler
            |
            +--weblogic.jdbcbase.informix4.Statement
                  |
                  +--weblogic.jdbc20.informix4.Statement

public class Statement
extends weblogic.jdbcbase.informix4.Statement
implements java.sql.Statement, weblogic.jdbcbase.informix4.IStatement

This class is documented only for WebLogic extensions to JDBC. For all other methods, see the JDBC spec and related documentation.

Author:
  Copyright (c) 1998 by WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.jdbcbase.informix4.Statement
`AlterIndexType, AlterType, BeginType, BLOBUpdateTerminator, byteType, charType, CommitType, connection, count, CreateIndexType, CreateProcedureType, CreateRoleType, CreateSchemaType, CreateSynonymType, CreateTempTableType, CreateTriggerType, CreateType, CreateViewType, CSClass, cursorID, DeleteAllType, DeleteType, DropIndexType, DropProcedureType, DropRoleType, DropSynonymType, DropTableType, DropTriggerType, DropViewType, enableEscapeProcessing, encoding, escQuotes, exceptionSeverity, FourNulls, GrantType, HostInfoOffsetBegin, Informix2BCursorName, InformixAcceptType, InformixAckPacket, InformixAckUpdate_1, InformixAckUpdate_3, InformixBLOBHeaderTail, InformixBLOBInsertID, InformixBLOBInsertTerminator, InformixCursorName_1, InformixCursorName_3, InformixCursorName_5, InformixDBAckPacket, InformixDBNameHeader, InformixDBResponse, InformixEmptyID, InformixEmptyKey, InformixHeadDelimiter, InformixHostInfo, InformixInsertParams, InformixInsertType, InformixMagicPacket, InformixMetaDataType, InformixNullTail, InformixPostMetaPacket, InformixPostTermMetaPacket, InformixPreparedStatement, InformixProcMetaDataType, InformixResponseType, InformixResultType, InformixSelectIntoType, InformixSQLErrorType, InformixTailDelimiter, InformixUpdateType, InformixVersionPacket, inParameters, kErrorLoginFailed, kMsWarningHeader, LockTableType, majorDBMSVersion, MaxInfoLength, needsResult, newsql, outParameters, outResults, PSClass, pStmtSql, query, RenameColumnType, RenameTableType, reply, result, RevokeType, RollbackType, SClass, SetDebugFileType, SetExplainType, SetIsolationType, SetLockModeType, SetLogType, SetOptimizationType, SetPDQType, SetRoleType, StartViolationsType, StopViolationsType, textType, UnLockTableType, UpdateAllType, UpdateStatisticsProcType, UpdateStatisticsType, vcharType`

Fields inherited from class weblogic.jdbcbase.informix4.BaseHandler
`closed, kInformixProtocol, kMicrosoftProtocol, kOracleProtocol, kSybaseProtocol, kUnknownProtocol, unique, warnings`

Method Summary
`int` | `getSerialNumber()` Returns the serial number after an insert.

Methods inherited from class weblogic.jdbcbase.informix4.Statement
`cancel, checkForInformixError, checkPrepNoBLOBParms, clearParameters, close, compareByteArrays, compareWithExpected, countBLOBParams, countPrepParams, doEscapeProcessing, execute, execute, executeQuery, executeQuery, executeUpdate, executeUpdate, getBigDecimal, getBoolean, getByte, getBytes, getDate, getDouble, getFloat, getHostInfoData, getInt, getLoginData, getLong, getMaxFieldSize, getMaxRows, getMoreResults, getObject, getQueryTimeout, getResultSet, getServerVersion, getShort, getStmtClass, getString, getTime, getTimestamp, getUpdateCount, informixLogin, insertCursorID, printPackets, processAndThrowError, processError, registerOutParameter, registerOutParameter, setAsciiStream, setBigDecimal, setBinaryStream, setBoolean, setByte, setBytes, setCursorName, setDatabase, setDate, setDouble, setEscapeProcessing, setFloat, setInt, setLong, setMaxFieldSize, setMaxRows, setNull, setObject, setObject, setObject, setOutResults, setQueryTimeout, setShort, setStmtClass, setString, setTime, setTimestamp, setUnicodeStream, stringFromFloat, testForLikeEscape, throwAndYield, wasNull, writeBLOBs, writePrepParms, writeStatementType`

Methods inherited from class weblogic.jdbcbase.informix4.BaseHandler
`appendWarning, clearWarnings, complainIfClosed, finalize, getProtocol, getWarnings, isClosed, setProtocol`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSerialNumber

    public int getSerialNumber()

  Returns the serial number after an insert. To use this method (a WebLogic jdbcKona/Informix4 extension to JDBC) you must cast your Statement object to `weblogic.jdbc.informix4.Statement`.

  Returns:
    Serial number, if it existsto-
  Overrides:
    getSerialNumber in class weblogic.jdbcbase.informix4.Statement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD